Gecode::Int::ViewDiffRanges< View > Class Template Reference
Functionality by programming task » Programming actors » Programming integer actors

Range iterator for cached integer views More...

`#include <view.hpp>`

## Protected Attributes

Iter::Ranges::RangeList | cr
| Cached domain iterator.
ViewRanges< View > | dr
| Current domain iterator.
Protected Attributes inherited from Gecode::Iter::Ranges::Diff< Iter::Ranges::RangeList, ViewRanges< View > >
Iter::Ranges::RangeList | i
| Iterator from which to subtract.
ViewRanges< View > | j
| Iterator to be subtracted.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Constructors and initialization

| ViewDiffRanges (void)
| Default constructor.
| ViewDiffRanges (const CachedView< View > &x)
| Initialize with ranges for view x.
void | init (const CachedView< View > &x)
| Initialize with ranges for view x.

## Additional Inherited Members

| Diff (void)
| Default constructor.
| Diff (Iter::Ranges::RangeList &i, ViewRanges< View > &j)
| Initialize with iterator i and j.
void | init (Iter::Ranges::RangeList &i, ViewRanges< View > &j)
| Initialize with iterator i and j.
void | operator++ (void)
| Move iterator to next range (if possible).
| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops

## Detailed Description

template<class View>
class Gecode::Int::ViewDiffRanges< View >

Range iterator for cached integer views

This iterator iterates the difference between the cached domain and the current domain of an integer view.

Definition at line 1353 of file view.hpp.

## Constructor & Destructor Documentation

## ViewDiffRanges() [1/2]

template<class View>

Gecode::Int::ViewDiffRanges< View >::ViewDiffRanges | ( | void |  | ) |

inline

Default constructor.

Definition at line 378 of file cached.hpp.

## ViewDiffRanges() [2/2]

template<class View>

Gecode::Int::ViewDiffRanges< View >::ViewDiffRanges | ( | const CachedView< View > & | x | ) |

inline

Initialize with ranges for view x.

Definition at line 382 of file cached.hpp.

## Member Function Documentation

## init()

template<class View>

void Gecode::Int::ViewDiffRanges< View >::init | ( | const CachedView< View > & | x | ) |

inline

Initialize with ranges for view x.

Definition at line 389 of file cached.hpp.

## Member Data Documentation

## cr

template<class View>

Iter::Ranges::RangeList Gecode::Int::ViewDiffRanges< View >::cr

protected

Cached domain iterator.

Definition at line 1359 of file view.hpp.

## dr

template<class View>

ViewRanges<View> Gecode::Int::ViewDiffRanges< View >::dr

protected

Current domain iterator.

Definition at line 1361 of file view.hpp.

The documentation for this class was generated from the following files:

- gecode/int/view.hpp
- gecode/int/view/cached.hpp